import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "ZanttuxPlugins.GambitHelper.Core"
import "ZanttuxPlugins.GambitHelper.Commands"
import "ZanttuxPlugins.GambitHelper.Settings"
import "ZanttuxPlugins.GambitHelper.GambitData"
import "ZanttuxPlugins.GambitHelper.Vitals"
import "Deusdictum.UI.Dragbar"

Turbine.Shell.WriteLine("<rgb=#9ACD32>Gambit Helper</rgb> <rgb=#DDDDDD>v 0.2.5 by zanttux.</rgb>")

_ghData=Turbine.PluginData.Load( Turbine.DataScope.Character, "GambitHelper" );
if _ghData==nil then
	local _displayWidth, _displayHeight = Turbine.UI.Display.GetSize();
	local _centerX = _displayWidth/2;
	local _centerY = _displayHeight/2;
	_ghData={x1=_centerX-396,y1=_centerY-100,x2=_centerX+198,y2=_centerY-100,sx=100,sy=100,ooc_visibility=false,showall=false,icons=false,vitals=true}
end

if _ghData.icons==nil then _ghData.icons=false end
if _ghData.vitals==nil then _ghData.vitals=true end
if _ghData.selected==nil then SelectNone() end

_fontColor = Turbine.UI.Color(0.69, 0.69, 0.44 )
_fontColorHeader = Turbine.UI.Color(0.9, 0.9, 0.75 )

CreateDisplay()
FilterGambitList()
UpdateDisplay()

-- test
UpdateMorale()
UpdatePower()
 
 --unload
if ( Plugins ["GambitHelper"] ~= nil ) then
	Plugins["GambitHelper"].Unload = function( sender, args )
		SaveSettings()
		Turbine.Shell.WriteLine("<rgb=#9ACD32>Gambit Helper:</rgb> <rgb=#DDDDDD>Unloading...</rgb>")
	end
end
